package org.jeecg.modules.ctop.mapper;

import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MediaReportMapper {

    List<JSONObject> queryAdvertiserNameByCompanyId(@Param("companyId") String companyId);

    List<JSONObject> queryProjectNameByAdvertiserId(@Param("advertiserId") String advertiserId);

    List<JSONObject> queryAllBy(@Param("todayDate") String todayDate ,@Param("yesterdayDate") String yesterdayDate);

    List<JSONObject> queryMediaReportBy(@Param("todayDate") String todayDate ,@Param("yesterdayDate") String yesterdayDate,@Param("condition") String condition);

    List<JSONObject> queryAgentReportBy(@Param("todayDate") String todayDate ,@Param("yesterdayDate") String yesterdayDate);

}
